cf-key(8)

NAME
cf-key - cfengine's key generator

SYNOPSIS:
 cf-key [options]

DESCRIPTION:
The cfengine's generator makes key pairs for remote authentication. cfengine is a self-healing configuration and change management based system. You can think of.B cfengine as a very high level language, much higher level than Perl or shell. Asingle statement is called a promise, and compliance can result in many hundreds of filesbeing created, or the permissions of many hundreds offiles being set. The idea of .B cfengine is to create a one or more sets of configuration files which willclassify and describe the setup of every host in a network.

COMMAND LINE OPTIONS:

--help, -h
    Print the help message

--debug, -d
    Set debugging level 0,1,2,3

--verbose, -v
    Output verbose information about the behaviour of the agent

--version, -V
    Output the version of the software

--output-file, -f
    Specify an alternative output file than the default (localhost)

AUTHOR
Mark Burgess and Cfengine AS

INFORMATION
Bug reports: bug-cfengine@cfengine.org Community help: help-cfengine@cfengine.org Community info: http://www.cfengine.org Support services: http://www.cfengine.com This software is (C) 2008 Cfengine AS.